<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body no-padding-left no-padding-right">
                                <input #searchField [(ngModel)]="searchBy" [debounce]="300" (onDebounce)="search()"
                                       class="form-control "
                                       placeholder="Pesquisar pelo nome da categoria"/>
                            </div>
                            <data-table #dataTableComponent
                                        [currentPage]="currentPage"
                                        [pageSize]="5"
                                        [selectable]="true"
                                        [total]="data.count"
                                        [data]="data.results"
                                        [paginated]="true"
                                        keyEvents="true"
                                        (onPaginate)="onPaginate($event)">
                                <column header="Nome"  field="name"></column>
                                <column header="Status" widthPercent="10" field="status_description"></column>
                                <column useTemplate="true" widthPercent="20">
                                    <ng-template let-fileCategory="data">
                                        <div class="btn-group btn-table-group">
                                            <button (click)="editFileCategory(fileCategory.id)"
                                                    class="btn btn-sm btn-dark-info btn-rounded">
                                                <i class="fa fa-edit"></i> Editar
                                            </button>
                                            <button (click)="deleteFileCategory(fileCategory.id)"
                                                    class="btn btn-sm btn-dark-danger btn-rounded">
                                                <i class="fa fa-trash"></i> Excluir
                                            </button>
                                        </div>
                                    </ng-template>
                                </column>
                                <buttons-right>
                                    <div class="row">
                                        <div class="col-12">
                                            <button (click)="newFileCategory()" class="btn btn-block btn-primary">
                                                <i class="fa fa-plus"></i>
                                                Nova Categoria de arquivos
                                            </button>
                                        </div>
                                    </div>
                                </buttons-right>
                            </data-table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
